WinDom: xobjc_draw.c File Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

# xobjc_draw.c File Reference

`#include <stdlib.h>`
`#include <string.h>`
`#include "xobjc_global.h"`
`#include "wsystem.h"`

## Data Structures
struct | DRAW_TEXT_PARAMETERS
| pakage of parameters for the function draw_text More...
## Defines
#define | UDLIB_LOCAL static
#define | v_ftext my_v_ftext
#define | v_gtext my_v_gtext
#define | vqt_extent my_vqt_extent
#define | vsl_color my_vsl_color
#define | rc_set my_rc_set
#define | XTEXT xedit->line;
#define | XLABEL xedit->tedinfo->te_ptmplt;
#define | OPAQUE (1<<7)
## Functions
short __CDECL | ub_ibox3d (PARMBLK *pblk)
short __CDECL | ub_box3d (PARMBLK *pblk)
short __CDECL | ub_boxchar3d (PARMBLK *pblk)
short __CDECL | ub_boxtext3d (PARMBLK *pblk)
short __CDECL | ub_but3d (PARMBLK *pblk)
short __CDECL | ub_button (PARMBLK *pblk)
| userdef subroutine for selectable buttons (radio, chechbox.
short __CDECL | ub_boxtitle (PARMBLK *pblk)
| userdef subroutine for boxtitle
short __CDECL | ub_ulinetext (PARMBLK *pblk)
| userdef subroutine for underlined text
short __CDECL | ub_boxcircle (PARMBLK *pblk)
| userdef subroutine for boxcircle
short __CDECL | ub_onglet (PARMBLK *pblk)
| userdef subroutine for thumb
short __CDECL | ub_popuptext (PARMBLK *pblk)
| userdef subroutine for popup button
short __CDECL | ub_mntitle (PARMBLK *pblk)
short __CDECL | ub_dialmover (PARMBLK *pblk)
short __CDECL | ub_multiligne (PARMBLK *pblk)
int | _xobjc_width_curs (XOBJC_DATA *uldata, W_XEDIT *xedit, int curs)
void | _xobjc_xedit_curs (XOBJC_DATA *uldata, OBJECT *tree, int idx, GRECT *grect)
| Draw the cursor.
void | _xobjc_xedit_bloc (XOBJC_DATA *uldata, OBJECT *tree, int idx, GRECT *grect)
| reverse-video of the bloc (text selected)
short __CDECL | ub_editable (PARMBLK *pblk)

## Define Documentation

#define OPAQUE (1<<7)

#define rc_set my_rc_set

#define UDLIB_LOCAL static

#define v_ftext my_v_ftext

#define v_gtext my_v_gtext

#define vqt_extent my_vqt_extent

#define vsl_color my_vsl_color

#define XLABEL xedit->tedinfo->te_ptmplt;

#define XTEXT xedit->line;

## Function Documentation

int _xobjc_width_curs | ( | XOBJC_DATA * | uldata,
|  | W_XEDIT * | xedit,
|  | int | curs
| ) |

void _xobjc_xedit_bloc | ( | XOBJC_DATA * | uldata,
|  | OBJECT * | tree,
|  | int | idx,
|  | GRECT * | grect
| ) |

  | reverse-video of the bloc (text selected) Parameters:
  | uldata |
  | tree |
  | idx |
  | grect | absolute position and size of the object
This function draws a black filled rectangle in XOR mode over the area of the selected text. The clipping area has to be set before calling this function.

void _xobjc_xedit_curs | ( | XOBJC_DATA * | uldata,
|  | OBJECT * | tree,
|  | int | idx,
|  | GRECT * | grect
| ) |

  | Draw the cursor. Parameters:
  | uldata |
  | tree |
  | idx |
  | grect | absolute position and size of the object
This function draws the text cursor. The clipping area has to be set before calling this function.

short __CDECL ub_box3d | ( | PARMBLK * | pblk | ) |

short __CDECL ub_boxchar3d | ( | PARMBLK * | pblk | ) |

short __CDECL ub_boxcircle | ( | PARMBLK * | pblk | ) |

  | userdef subroutine for boxcircle Parameters:
  | pblk |

short __CDECL ub_boxtext3d | ( | PARMBLK * | pblk | ) |

short __CDECL ub_boxtitle | ( | PARMBLK * | pblk | ) |

  | userdef subroutine for boxtitle Parameters:
  | pblk |

short __CDECL ub_but3d | ( | PARMBLK * | pblk | ) |

short __CDECL ub_button | ( | PARMBLK * | pblk | ) |

  | userdef subroutine for selectable buttons (radio, chechbox. ..) Parameters:
  | pblk | objects with EXIT flag _and_ without RBUTTON flag is drawn as a standard 3d button.
an icon is drawn on the left of each object. The icon choosen depend on the DRAW3D flag and the STATE8 ob_state.

short __CDECL ub_dialmover | ( | PARMBLK * | pblk | ) |

short __CDECL ub_editable | ( | PARMBLK * | pblk | ) |

short __CDECL ub_ibox3d | ( | PARMBLK * | pblk | ) |

short __CDECL ub_mntitle | ( | PARMBLK * | pblk | ) |

short __CDECL ub_multiligne | ( | PARMBLK * | pblk | ) |

short __CDECL ub_onglet | ( | PARMBLK * | pblk | ) |

  | userdef subroutine for thumb Parameters:
  | pblk |

short __CDECL ub_popuptext | ( | PARMBLK * | pblk | ) |

  | userdef subroutine for popup button Parameters:
  | pblk |

short __CDECL ub_ulinetext | ( | PARMBLK * | pblk | ) |

  | userdef subroutine for underlined text Parameters:
  | pblk | if ob_state & STATE8, then the underline is as long as the object width. otherwise, only the text is underlined.